Name:           ocaml-fileutils
Version:        0.6.4
Release:        1
Summary:        API to manipulate files (POSIX like) and filenames
License:        LGPLv2 with exceptions
URL:            https://github.com/gildor478/ocaml-fileutils
Source0:        https://github.com/gildor478/ocaml-fileutils/releases/download/v%{version}/fileutils-%{version}.tbz
Patch0000:      ocaml-fileutils-0.6.4-forward-compat.patch
Patch0001:      ocaml-fileutils-0.6.4-cmp.patch

BuildRequires:  ocaml >= 4.00.1  ocaml-dune
BuildRequires:  ocaml-ounit-devel

%description
This library provides an API to perform POSIX like operations on files like:
  mv
  cp
  rm
  mkdir
  touch
  which...

It also providesa module to manipulate abstract filenames:
  classification
  make_relative: made a filename relative to another
  make_absolute

%package        devel
Summary:        Development documents for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package provides libraries and some other development documents for developing applications
that use %{name}.

%prep
%autosetup -n fileutils-%{version} -p1
sed -i 's/ounit2/ounit/g' fileutils.opam
sed -i 's/ounit2/oUnit/g' test/dune

%build
dune build --verbose --release %{?_smp_mflags}

%install
dune install --destdir=%{buildroot}  --verbose --release %{?_smp_mflags}
rm -rf %{buildroot}/usr/doc

%check
dune runtest --verbose --release %{?_smp_mflags}

%files
%license LICENSE.txt
%doc README.md CHANGES.md
%{_libdir}/ocaml/fileutils
%exclude %{_libdir}/ocaml/fileutils/*.{a,cmx,cmxa,ml,mli}

%files devel
%{_libdir}/ocaml/fileutils/*.{a,cmx,cmxa,ml,mli}

%changelog
* Thu Sep 21 2023 liyanan <thistleslyn@163.com> - 0.6.4-1
- update to 0.6.4

* Tue Nov 22 2022 xu_ping<xu_ping33@h-partners.com> - 0.5.2-7
- Modify invalid source

* Wed Feb 26 2020 zhouyihang<zhouyihang1@huawei.com> - 0.5.2-6
- Package init
